kkHookJS = function(){
	this._callbacks = {};
	this._originals = {};
}

kkHookJS.prototype = {
	/**
	 * Register a function that is called with the same
	 * arguments as the original. The original is first
	 * processed and the callback then called
	 * @param  {String}   fnName   - the name of the global function
	 * @param  {Function} callback - the function being called
	 */
	hook: function(fnName, callback){
		var self = this;
		if(typeof callback !== "function"){
			console.log("kkHook: tried to register a non-function to hook:", fnName, "Callback was:", callback);
			return;
		}
		if(fnName && typeof(fnName) === 'string' && fnName in window){
			// check
			if(typeof(self._callbacks[fnName]) === 'undefined'){
				self._callbacks[fnName] = [];
				self._createHookableFunction(fnName);
			}
			// register
			self._callbacks[fnName].push(callback);
		}
	},
	_createHookableFunction: function(fnName){
		var hooker = this;
		if( typeof(window[fnName]) == 'function' ){
				// copy function, we want to extend it, so that we realize when
				// the call is made and can react to it respectively
				this._originals[fnName] = window[fnName];
				window[fnName] = function(){
					var fnargs = arguments;
					// call original
					var scope = this;
					hooker._originals[fnName].apply(scope, fnargs);
					$(function(){
						setTimeout(function(){
							// call callback handlers
							if(hooker._callbacks && hooker._callbacks[fnName]){
								for(var i=0; i<hooker._callbacks[fnName].length; i++){
									hooker._callbacks[fnName][i].apply(scope, fnargs);
								}
							}
						}, 10);
					});
				};
		}
	}
}

if(typeof(window.kkHook) === 'undefined'){
	window.kkHook = new kkHookJS();
}