ace.define('ace/mode/drop', function(require, exports, module) {
	var oop = require("ace/lib/oop");
	var HtmlMode = require("ace/mode/html").Mode;
	var Tokenizer = require("ace/tokenizer").Tokenizer;
	var DropHighlightRules = require("ace/mode/drop_highlight_rules").DropHighlightRules;

	var Mode = function() {
		this.$tokenizer = new Tokenizer(new DropHighlightRules().getRules());
	};

	oop.inherits(Mode, HtmlMode);

	(function() {
		// Extra logic goes here. (see below)
	}).call(Mode.prototype);

	exports.Mode = Mode;
});

ace.define('ace/mode/drop_highlight_rules', function(require, exports, module) {
	var oop = require("ace/lib/oop");
	var HtmlHighlightRules = require("ace/mode/html_highlight_rules").HtmlHighlightRules;

	var DropHighlightRules = function() {
		this.$rules = new HtmlHighlightRules().getRules();
		this.$rules["start"].unshift({
			token: "drop",
			regex: "\\[drop [a-f|0-9]{8}-[a-f|0-9]{4}-[a-f|0-9]{4}-[a-f|0-9]{4}-[a-f|0-9]{12}\\]",
			next: "start"
		});
	}

	oop.inherits(DropHighlightRules, HtmlHighlightRules);
	exports.DropHighlightRules = DropHighlightRules;
});