/**
 * Root Scope legacy service. Used to extend the $rootScope with functions that are legacy now.
 */
angular.module('app').service('rootScopeLegacy', ['editWindow', '$rootScope', 'utils', function(editWindow, $rootScope, utils) {
    var rootScopeLegacy = {
		/**
		 * Adds a new dropItem to the active drop
		 */
		addDropItem: function(drop, activate){
			if(!drop && $rootScope.activeDrop){
				drop = $rootScope.activeDrop;
			}
			if(typeof(activate) === 'undefined'){
				activate = true;
			}

			if(!angular.isArray(drop.dropItems)){
				drop.dropItems = [];
			}

			var newDropItem = utils.Drops.addItem(drop.dropItems, $rootScope.activeTemplate.itemDefaults || false, $rootScope.activeTemplate.itemSettings, drop, 'Neuer Eintrag');

			if(activate){
				$rootScope.activateDropItem(newDropItem);
			}
			return newDropItem;
		},
		
		/**
		 * activates a dropItem on the active drop
		 */
		activateDropItem: function(dropItem, e) {
			if(e) e.preventDefault();
			
			editWindow.show(true, 'ListItemEditWindow', {
				item: dropItem,
				itemParent: $rootScope.activeDrop,
				itemSettings: $rootScope.activeTemplate.itemSettings
			});
		},
		
		/**
		 * removes a given drop item from the active drop
		 */
		removeDropItem: function(dropItem, e){
			if(e){
				e.stopPropagation();
			}
			$rootScope.activeDrop.dropItems.splice($rootScope.activeDrop.dropItems.indexOf(dropItem), 1);
		}
	};
	return rootScopeLegacy;
}]);
