<div id="main-view" ng-cloak>
	<!-- Actions -->
	<div class="btn-toolbar alert toolbar-top">
		<!-- Backup handling -->
		<div class="pull-left btn-group">
			<span class="btn no-bg btn-large trigger-tooltip dropdown-toggle" data-toggle="dropdown" data-original-title="Backup wiederherstellen">
				<small><i class="icon-time"></i> Backups</small>
			</span>
			<ul class="dropdown-menu nav" style="max-height: 400px; overflow-y: auto;">
				<li class="nav-header">Export / Import</li>
				<li ng-click="showImportExport('export')"><a><small><i class="icon-download"></i> Export</small></a></li>
				<li ng-click="showImportExport('import')"><a><small><i class="icon-upload"></i> Import</small></a></li>
				<li class="nav-header">Speicherpunkte</li>
				<li ng-repeat="backup in saveHistory | orderBy:'timestamp':true" ng-click="restoreBackup(backup)"><a><small>{{backup.label}}</small></a></li>
			</ul>
		</div>
		<!-- Media files -->
		<div class="pull-left btn-group">
			<span class="btn no-bg btn-large trigger-tooltip" data-original-title="Mediengalerie anzeigen" ng-click="showMediaGallery()"><small><i class="icon-picture"></i> Medien</small></span>
		</div>
		<!-- Notifications -->
		<kk-notifications></kk-notifications>
		<div class="center">
			<!-- Drop Navigation -->
			<div class="btn btn-large no-bg" ng-class="{'active': overviewOpen}" ng-click="toggleOverview()">
				<small><i class="icon-th"></i><span>&nbsp;Dashboard</span></small>
			</div>
			<!-- Save handling -->
			<div class="btn btn-large trigger-tooltip no-bg" ng-class="{'save' : saveLabel == 'Speichern'}" ng-click="trySaveSettings()" data-original-title="{{saveLabel}}">
				<small>
					<i kk-if="saveInProgress == true" class="spinner"></i>
					<i class="icon-retweet" kk-if="saveInProgress == false" ng-show="saveLabel == 'Speichern'"></i>
					<i class=" icon-ok" kk-if="saveInProgress == false" ng-hide="saveLabel == 'Speichern'"></i>
					<span> &nbsp;{{saveLabel}}</span>
				</small>
			</div>
		</div>
		<!-- Languages -->
		<div class="btn-group languages" kk-if="environment.getLanguages().length>1 && !overviewOpen">
			<strong style="text-transform: uppercase" class="btn btn-mini no-bg" ng-repeat="lang in environment.getLanguages()" ng-click="environment.setLanguage(lang)" ng-class="{'active': environment.language.cISO == lang.cISO}">{{lang.cISO}}</strong>
		</div>
	</div>

	<div class="popover fade bottom" id="remove-popup">
		<div class="arrow"></div>
		<div class="popover-inner">
			<h3 class="popover-title">Löschen</h3>
			<div class="popover-content">
				<small><strong>{{toRemove._internal.name}}</strong> wirklich löschen?</small><hr/>
				<div class="btn btn-small btn-danger" ng-click="removeItem()">Entfernen</div>
				<div class="btn btn-small" ng-click="toggleRemove()">Abbrechen</div>
			</div>
		</div>
	</div>

	<!-- Drop Detail Bar -->
	<div class="scroll-wrap" id="edit-windows">
	</div>

	<!-- Dashboard / Drop Listing -->
	<div id="drop-select">
		<div class="scroll-y">
			<div class="head">
				<div class="btn-group pull-left">
					<div class="btn btn-small" ng-click="dashboardView.type = 'installed';" ng-class="{'active': dashboardView.type == 'installed'}">Installierte Drops</div>
					<div class="btn btn-small" ng-click="dashboardView.type = 'store';" ng-class="{'active': dashboardView.type == 'store'}">Drop Store</div>
					<a class="btn btn-small" href="https://kreativkonzentrat.de/Wiki?page=dropper/overview" target="_blank">Dropper Wiki</a>
				</div>
				<div class="btn-group pull-left">
					<div class="btn btn-small" ng-click="showPackageManager()">Paketverwaltung<span class="m-05-left badge" kk-if="getUpgradesCount() > 0">{{getUpgradesCount()}}</span></div>
				</div>
				<span class="form-search pull-right">
					<input class="search" placeholder="Suchen" type="text" ng-model="dropSearch"></input>
				</span>
			</div>
			<!-- List installed Drops -->
			<div class="installed" kk-if="dashboardView.type == 'installed'">
				<div class="clear"></div>
				<h1>Erstelle neue Inhalte mit deinen Drops</h1>
				<!-- drops installed? -->
				<div class="drop-list" kk-if="countObject(core.templates) > 0">
					<div kk-if="dropSearch.length && dropPagination.itemCount === 0" class="tcenter">
						<h2 class="light tcenter m-5-top">Nichts gefunden</h2>
						<p class="fs-12 o-08 m-1-top">Deine Suche nach <i>{{dropSearch}}</i> hat keine Teffer ergeben.</p>
					</div>
					<div class="drop" ng-repeat="(templateKey, template) in core.templates | filterObj:'name':dropSearch | filterPaginate:dropPagination:6" ng-click="showDropInfo(templateKey, template.name, 'infos')" ng-class="{'inactive':!core.dropLicenses[templateKey].isValid}">
						<span ng-class="{ 'no-img': !template._icon }" class="drop-image" style="background-image:url({{template._icon}})"/></span>
						<div class="name">{{template.name}}</div>
						<div class="desc">{{template.description}}</div>
						<div class="label label-important" kk-if="!core.dropLicenses[templateKey].isValid">inaktiv</div>
						<div class="label label-info" kk-if="core.dropLicenses[templateKey].isValid && core.dropLicenses[templateKey].canExpire">demo</div>
						<div class="label label-info" kk-if="packageManager.isUpgradeable(templateKey)"><i class="icon-upload"></i> update</div>
					</div>
					<div kk-if="dropPagination.canPaginate()">
						<div class="move-back" ng-class="{'o-02' : dropPagination.isFirstPage()}" ng-click="dropPagination.prev()"></div>
						<div class="move-forward" ng-class="{'o-02' : dropPagination.isLastPage()}" ng-click="dropPagination.next()"></div>
					</div>
				</div>
				<!-- no drops installed? -->
				<div class="drop-list tcenter p-5-top" kk-if="countObject(core.templates) == 0">
					<i class="icon-download fs-7 o-02" ng-click="dashboardView.type = 'store'"></i>
					<h2 class="light tcenter m-05-top">Du hast noch keine Drops installiert</h2>
					<p class="fs-12 o-08 m-1-top">Schaue doch mal im <a ng-click="dashboardView.type = 'store'">Drop Store</a> vorbei um neue Drops zu installieren.</p>
				</div>
			</div>
			<!-- List Drops from the Store -->
			<div class="store tcenter" kk-if="dashboardView.type == 'store'">
				<div kk-if="packageManager.hasInstallablePackages()">
					<h1 class="m-05-bottom">Installiere neue Drops aus dem Drop Store</h1>
					<div class="tcenter m-2-bottom">
						<span class="btn-group tleft d-inline-block">
							<a class="btn btn-small dropdown-toggle" data-toggle="dropdown">
								<span kk-if="dashboardView.filter === 'all'">Alle Drops</span> 
								<span kk-if="dashboardView.filter === 'free'">Free Drops</span> 
								<span kk-if="dashboardView.filter === 'paid'">Paid Drops</span>
								<span kk-if="dashboardView.filter === 'integrations'">Template Integrationen</span>
								<span class="caret m-025-left"></span>
							</a>
							<ul class="dropdown-menu">
								<li ng-click="dashboardView.filter = 'all'"><a>Alle Drops</a></li>
								<li ng-click="dashboardView.filter = 'free'"><a>Free Drops</a></li>
								<li ng-click="dashboardView.filter = 'paid'"><a>Paid Drops</a></li>
								<li ng-click="dashboardView.filter = 'integrations'"><a>Template Integrationen</a></li>
							</ul>
						</span>
					</div>
					<div class="drop-list">
						<div kk-if="dropSearch.length && storePagination.itemCount === 0" class="tcenter">
							<h2 class="light tcenter m-5-top">Nichts gefunden</h2>
							<p class="fs-12 o-08 m-1-top">Deine Suche nach <i>{{dropSearch}}</i> hat keine Teffer ergeben.</p>
						</div>
						<div class="drop" ng-click="showPackageManager('install', package)" ng-repeat="package in packageManager.getInstallable() | filterObj:'meta.name':dropSearch | filterPkgList:dashboardView.filter | filterPaginate:storePagination:6">
							<span ng-class="{ 'no-img': !package.meta.icon || package.meta.icon == '' }" class="drop-image" style="background-image:url({{package.meta.icon}})"/></span>
							<div class="name">{{package.meta.name}}</div>
							<div class="desc">{{package.meta.description}}</div>
							<div class="label label-warning" kk-if="package.meta.price > 0 && !core.dropperLicense.license.attributes.dropFlatrate">{{package.meta.price}} Euro</div>
							<div class="label label-info" kk-if="package.meta.price === 0">free</div>
						</div>
						<div kk-if="storePagination.canPaginate()">
							<div class="move-back" ng-class="{'o-02' : storePagination.isFirstPage()}" ng-click="storePagination.prev()"></div>
							<div class="move-forward" ng-class="{'o-02' : storePagination.isLastPage()}" ng-click="storePagination.next()"></div>
						</div>
					</div>
				</div>
				<div kk-if="!packageManager.hasInstallablePackages()">
					<h1>Installiere neue Drops aus dem Drop Store</h1>
					<div class="drop-list">
						<h2 style="margin-top: 10%" class="light tcenter">
							Nichts gefunden oder<br/>du hast bereits alle Drops installiert.
						</h2>
					</div>
				</div>
			</div>
			<!-- Information about the Dropper License -->
			<div class="foot tcenter"><a ng-click="showSettings()"><i class="icon-gear"></i> Dropper {{getLicenceTypeName()}} v{{core.dropperVersion}} ({{core.dropperLicense.type}})</a> &ndash; {{core.dropperLicense.reason}}</div>
		</div>
	</div>

	<!-- Sidebar -->
	<div class="pane kk-style">
		<div class="scroll-y" ng-show="!editMode">
			<ul ng-repeat="(groupName, group) in groups | orderObjectByKey" class="listing">
				<li class="group" kk-if="(group | filter:drop_search).length > 0" ng-class="{'open': group.open}">
					<div class="list-head" ng-click="toggleGroup(group)" title="{{groupName}}" kk-drop-droppable kk-drop-dropped="moveDropToGroup" kk-drop-dropped-data="groupName">
						<span class="group-label">{{groupName}}</span>
						<span class="group-badge" ng-class="{'inset': group.open}">{{ (group | filter:drop_search).length }}</span>
					</div>
					<ul class="items" kk-if="group.open" data-group="{{groupName}}">
						<li ng-repeat="drop in group | filter:drop_search" ng-click="activateDrop(drop)" ng-class="{'active': activeDrop == drop, 'item-inactive': drop._internal.visibility == 'inactive'}" kk-drop-draggable kk-drop="drop" title="{{ungroupLabel(drop._internal.name)}}">
							<span class="item-type" title="{{core.templates[drop._internal.dropId].name}}">
								{{truncate(core.templates[drop._internal.dropId].name, 11)}}&nbsp;&nbsp;&nbsp;
								<i class="icon-remove-sign fadebtn trigger-tooltip" data-original-title="Drop entfernen" ng-click="toggleRemove(drop, $event)"></i>
							</span>
							<span class="item-label">
								<i class="icon-random fadebtn trigger-tooltip" ng-click="duplicateDrop(drop, $event)" data-original-title="Drop duplizieren"></i>&nbsp;&nbsp;{{ungroupLabel(drop._internal.name)}}&nbsp;&nbsp;
								<i kk-if="!core.templates[drop._internal.dropId] || !core.dropLicenses[drop._internal.dropId].isValid || core.dropLicenses[drop._internal.dropId].isError" class="icon-exclamation-sign fadebtn" ng-click="showDropInfo(drop._internal.dropId, core.templates[drop._internal.dropId].name, 'licence', $event)"></i>
								<i kk-if="core.dropLicenses[drop._internal.dropId].canExpire" class="icon-time fadebtn" ng-click="showDropInfo(drop._internal.dropId, core.templates[drop._internal.dropId].name, 'licence', $event)"></i>
							</span>
							<ul class="linked-list">
								<li class="linked" ng-click="activateDrop(linked.guid, $event)" ng-repeat="linked in linkMapFromTo[drop._internal.guid]"><i class="icon-link"></i> {{ungroupLabel(linked.name)}}</li>
							</ul>
						</li>
					</ul>
				</li>
			</ul>
			<!-- no drops yet -->
			<div class="no-content" kk-if="core.settings.drops.length == 0">
				<i class="icon-plus-sign" ng-click="getNewDropUserSelect()"></i><br/>
				<h2>Du hast noch keine Drops erstellt</h2>
				<p>Schau im Dashboard nach installierten Drops. Von dort aus kannst du jederzeit neue Inhalte erstellen.</p>
			</div>
		</div>
		<div class="scroll-y" kk-if="editMode">
			<ul class="group" ui-sortable ng-model="core.settings.drops">
				<li ng-repeat="drop in core.settings.drops">
					<span class="item-type" title="{{groupLabel(drop._internal.name)}}">{{truncate(groupLabel(drop._internal.name), 11)}}&nbsp;&nbsp;&nbsp;<i class="icon-remove-sign fadebtn trigger-tooltip" ng-click="toggleRemove(drop, $event)"></i></span>
					<small class="pull-left">{{$index+1}}.&nbsp;</small>
					<span class="item-label">{{truncate(ungroupLabel(drop._internal.name), 28)}}</span>
				</li>
			</ul>
		</div>
		<div class="head">
			<input class="search" type="text" ng-model="drop_search" ng-model-options="{updateOn: 'default blur', debounce: { default: 300, blur: 0 }}" placeholder="Drop suchen" ng-show="!editMode"></input>
			<h5 ng-show="editMode"><i class="icon-info-sign"></i> Drag'n'Drop um die Reihenfolge zu &auml;ndern</h5>
		</div>
		<div class="foot">
			<!-- new drop draggable placeholder -->
			<div class="new-drop" kk-drop-draggable ng-click="getNewDropUserSelect()">
				<i class="icon-plus-sign"></i><span class="new-drop-label">Neues Drop</span>
			</div>
			<div class="btn-group">
				<span class="btn trigger-tooltip" data-original-title="Drops sortieren/löschen" ng-class="{'active': editMode==true}" ng-click="editMode=!editMode"><i class="icon-list"></i></span>
			</div>
		</div>
	</div>

	<script type="text/javascript">
	$(function(){
		$(".modal").modal();
		$('.trigger-tooltip').tooltip();
	});
	</script>

</div>
