angular.module('app').controller('DropInfoModalController', ['$modalScope', '$rootScope', 'dropInfo', 'core', 'packageManager', 'modal', function($modalScope, $rootScope, dropInfo, core, packageManager, modal){
	$modalScope.delayShow = true;
	$modalScope.core = core;
	$modalScope.dropLicenses = core.dropLicenses;
	$modalScope.dropInfo = dropInfo;
	$modalScope.root = $rootScope;
	$modalScope.packageManager = packageManager;

	// get the url to retrieve a license
	$modalScope.getLicenseUrl = function(id, param){
		if(core && core.packages && core.packages.installed && core.packages.installed[id] && core.packages.installed[id]['meta'] && core.packages.installed[id]['meta']['url']){
			var url = core.packages.installed[id]['meta']['url'];
			if(url.indexOf('?') >= 0){ 
				url += '&';
			} else {
				url += '?';
			}
			url += "shop=" + window.btoa(core.shopURL) + (param ? "&" + param : "");
			return url;
		}
		return null;
	}

	$modalScope.showUpdateManager = function(id){
		$modalScope.close();
		modal.show('PackageManagerModal', null, {"mode": "upgrade", "overviewMode": "upgrades", "package" : core.packages.upgradeable[id]});
	}

	// get documentation
	$.ajax({
		type: 'POST',
		url: core.shopURL,
		data: {"kk_get_drop_documentation": dropInfo.drop, "kk_dropper_admin_pass": core.adminSecret},
		dataType: 'json',
		success: function(res){
			$modalScope.$apply(function(){
				$modalScope.dropInfo.description = ((res.documentation && res.documentation !== "") ? res.documentation : "<h1>Sorry</h1><p>Für dieses Drop ist noch keine Beschreibung verfügbar.</p>");
				$modalScope.dropInfo.faq = res.faq ? res.faq : "";
				$modalScope.show();
			});
		},
		error: function(err){
			// message.error('Oops, es ist ein unerwarteter Fehler aufgetreten: ', err);
			$modalScope.$apply(function(){
				$modalScope.dropInfo.description = "<h1>Sorry</h1><p>Für dieses Drop ist noch keine Beschreibung verfügbar.</p>";
				$modalScope.dropInfo.faq = "";
				$modalScope.show();
			});
		}
	});
}]);