<!-- Import / Export -->
<div class="dropImportExportModal">
	<div class="modal-header tcenter">
		<div class="close" ng-click="close()">×</div>
		<h4>Import / Export</h4>
		<div class="btn-group">
			<span class="btn btn-small" ng-class="{'active': tab == 'export'}" ng-click="setTab('export')"><i class="icon-download"></i> Export</span>
			<span class="btn btn-small" ng-class="{'active': tab == 'import'}" ng-click="setTab('import')"><i class="icon-upload"></i> Import</span>
		</div>
	</div>
	<div class="modal-body">
		<input type="file" class="import-uploader" style="display:none" accept="application/json"/>

		<!-- Export -->
		<div ng-show="tab == 'export'" class="form">
			<p class="alert alert-info">Wähle die Drops aus, die du exportieren möchtest. Du erhältst dann eine Export-Datei zum Download, die du mit dem Importer wieder einspielen kannst.</p>
			<hr/>
			<div class="control-group">
				<label class="control-label">Drops zum Export auswählen</label>
				<control-multiselect kk-option="exportOption" kk-model="exportDrops.items"></control-multiselect>
			</div>
			<div class="control-group">
				<label class="control-label">Schnellauswahl</label>
				<div class="btn-group">
					<div class="btn btn-mini" ng-click="selectAllForExport()" ng-class="{'active': exportDrops.items.length == core.settings.drops.length}">Alle</div>
					<div class="btn btn-mini" ng-click="selectNoneForExport()" ng-class="{'active': exportDrops.items.length == 0}">Keine</div>
				</div>
			</div>
		</div>

		<!-- Import -->
		<div ng-show="tab == 'import'" class="form">
			<p class="alert alert-info">Wähle einen Export aus, den du importieren möchtest. Du hast dann die Wahl welche Drops aus dem Export du in das System einspielst.</p>
			<div class="btn btn-primary" ng-click="showUploader()"><i class="icon-file-text"></i> Importdatei laden</div>
			<div kk-if="importDrops.drops.length > 0">
				<hr/>
				<h3>Export von {{importDrops.user}} - {{getImportDate()}}</h3>
				<hr/>
				<ul class="nav nav-list">
					<li ng-repeat="drop in importDrops.drops" ng-click="importToggle(drop)" class="import-item">
						<i class="icon-check" kk-if="isImportSelected(drop)"></i><i class="icon-check-empty" kk-if="!isImportSelected(drop)"></i> {{drop._internal.name}}&nbsp;&nbsp;
						<span ng-switch="getImportState(drop)">
							<span class="badge badge-success pull-right" ng-switch-when="new">Neu</span>
							<span class="badge badge-info pull-right" ng-switch-when="update">Geändert</span>
							<span class="badge badge pull-right" ng-switch-when="same">Identisch</span>
						</span>
						<span class="badge badge-important" kk-if="!canImport(drop)">Drop "{{drop._internal.dropId}}" nicht ausführbar</span>
					</li>
				</ul>
				<hr/>
				<div class="properties">
					<div class="control-group">
						<label class="control-label">Schnellauswahl</label>
						<div class="btn-group">
							<div class="btn btn-mini" ng-click="selectAllForImport()" ng-class="{'active': importDrops.selected.length == importDrops.drops.length}">Alle</div>
							<div class="btn btn-mini" ng-click="selectNoneForImport()" ng-class="{'active': importDrops.selected.length == 0}">Keine</div>
						</div>
					</div>
					<div class="control-group">
						<label class="control-label">Aktuelle Drops löschen? (Es bleiben nur die importierten Drops übrig)</label>
						<control-switch kk-option="importOption" kk-model="importDrops.replace"></control-switch>
					</div>
					<div class="control-group">
						<label class="control-label">Wie sollen Sprachvariablen importiert werden?</label>
						<control-switch kk-option="importLangOption" kk-model="importDrops.langOption"></control-switch>
					</div>
				</div>
			</div>
		</div>

	</div>
	<div class="modal-footer">
		<div class="btn-group tright">
			<div class="btn btn-primary" ng-click="doExport()" ng-class="{'disabled': exportDrops.items.length == 0}" kk-if="tab=='export'"><i class="icon-circle-arrow-down"></i> {{exportDrops.items.length}} Drops exportieren</div>
			<div class="btn btn-primary" ng-click="doImport()" ng-class="{'disabled': importDrops.selected.length == 0}" kk-if="tab=='import'"><i class="icon-circle-arrow-up"></i> {{importDrops.selected.length}} Drops importieren</div>
			<div class="btn" ng-click="close()">Abbrechen</div>
		</div>
	</div>
</div>