angular.module('app').controller('DropEditWindowController', ['$windowScope', 'activeDrop', 'activeTemplate', 'modal', 'core', '$rootScope', function(scope, activeDrop, activeTemplate, modal, core, $rootScope){
	scope.activeDrop = activeDrop;
	scope.activeTemplate = activeTemplate;
	scope.root = $rootScope;
	
	// open insert conditions modal
	scope.showInsertConditionsModal = function(){
		modal.show('InsertConditionsModal', function(newSettings){
			if(newSettings){
				scope.activeDrop._internal = newSettings._internal;
			}
		}, {"drop": scope.activeDrop});
	};

	// open language settings moddal
	scope.showLanguageModal = function(){
		var dropId = scope.activeDrop._internal.dropId;

		modal.show('LanguageModal', function(langDiff){
			if(!langDiff) return;

			// apply changes
			if(!angular.isObject(core.settings.lang)){
				core.settings.lang = {};
			}
			core.settings.lang[dropId] = langDiff;
		},
		{
			"template": activeTemplate,
			"dropperUserLang": (core.settings.lang && core.settings.lang[dropId]) ? core.settings.lang[dropId] : {}
		});
	};
	
	// open drop configuration modal
	scope.showDropConfigModal = function(){
		modal.show('DropConfigModal', function(){}, {
			activeDrop: activeDrop,
			activeTemplate: activeTemplate
		});
	};

}]);