conditional['Category'] = {
	description: 'Filtert nach ausgewählten Kategorieseiten (Listing)',
	name: 'Kategorieseite',

	section: "Listing",
	sort: 10,

	config: [
		{
			name: "Kategorien",
			options: 'Categories',
			type: 'multiselect',
			property: 'cats'
		},
		{
			name: 'Unterkategorien mit einbeziehen?',
			type: 'switch',
			options: [
				{ label: 'ja', value: true },
				{ label: 'nein', value: false }
			],
			condition: 'self.cats && self.cats.length',
			property: 'includeSubcats'
		}
	],
	
	evaluateToSmarty: function(filter){
		// this could be one ore more categories to match... loop and build a smarty expression
		// we can use.
		if(!filter.cats || filter.cats.length == 0){
			return false;
		}

		var exp = 'isset($oNavigationsinfo->oKategorie->kKategorie) and (';
		for(var i=0; i<filter.cats.length; i++){
			if (filter.includeSubcats) {
				exp = exp + '$oNavigationsinfo->oKategorie->kKategorie|is_category_or_child_of:' + filter.cats[i];
			} else {
				exp = exp + '$oNavigationsinfo->oKategorie->kKategorie eq ' + filter.cats[i];
			}

			if(i < filter.cats.length-1){
				exp += ' or ';
			}
		}
		exp += ')';
		return exp;
	}
};