conditional['DeviceType'] = {
	description: 'Filtert nach Gerätetyp des Clients (via User Agent)',
	name: 'Gerätetyp',
	
	section: "Session",
	sort: 40,

	config: [
		{
			options: [
				{value: "mobile", label: 'Mobilgerät (Tablet, Smartphone)'},
				{value: "desktop", label: 'Desktop'},
				{value: "phone", label: 'Smartphone'},
				{value: "tablet", label: 'Tablet'}
			],
			optionLabel: 'label',
			optionValue: 'value',
			type: 'multiselect',
			property: 'types'
		}
	],

	generateSpecialCondition: function(type){
		return '"' + type + '"|is_client_device eq true';
	},

	evaluateToSmarty: function(filter){
		// this could be one ore more categories to match... loop and build a smarty expression
		// we can use.
		if(!filter.types || filter.types.length == 0){
			return false;
		}

		var exp = '';
		for(var i=0; i<filter.types.length; i++){
			exp = exp + this.generateSpecialCondition(filter.types[i]);
			if(i < filter.types.length-1){
				exp += ' or ';
			}
		}
		exp += '';
		return exp;
	}
}