conditional['Special'] = {
	description: 'Spezielle Konditionen',
	name: 'Spezial',

	legacy: true,	// don't show this anymore but keep it for legacy reasons. this filter is being restructured into other filters.
	
	config: [
		{
			options: [
				{value: "page_eq_one", label: 'Suchseite = 1'},
				{value: "page_greater_one", label: 'Suchseite > 1'},
				{value: "articles_entrance_category", label: 'Listeneinstieg Kategorie'},
				{value: "articles_entrance_vendor", label: 'Listeneinstieg Hersteller'},
				{value: "articles_entrance_property", label: 'Listeneinstieg Merkmal'},
				{value: "articles_entrance_search", label: 'Listeneinstieg Suche'},
				{value: "filter_property", label: 'Merkmalfilter aktiv'},
				{value: "filter_category", label: 'Kategoriefilter aktiv'},
				{value: "filter_vendor", label: 'Herstellerfilter aktiv'},
				{value: "filter_price", label: 'Preisfilter aktiv'},
				{value: "filter_rating", label: 'Bewertungsfilter aktiv'},
				{value: "filter_searchspecial", label: 'Suchspezialfilter aktiv'},
				{value: "order_tracking", label: 'Bestellvorgang abgeschlossen (Tracking)'},
				{value: "first_view", label: 'Erster Aufruf'},
			],
			type: 'multiselect',
			property: 'specials'
		}
	],
	generateSpecialCondition: function(special){
		if(!special) return "";
		switch(special){
			case "page_eq_one":
				return "isset($NaviFilter->nSeite) and $NaviFilter->nSeite eq 1";
			break;
			
			case "page_greater_one":
				return "isset($NaviFilter->nSeite) and $NaviFilter->nSeite gt 1";
			break;

			case "articles_entrance_category":
				return "!empty($oNavigationsinfo->oKategorie->kKategorie)";
			break;

			case "articles_entrance_vendor":
				return "!empty($oNavigationsinfo->oHersteller->kHersteller)";
			break;

			case "articles_entrance_property":
				return "!empty($oNavigationsinfo->oMerkmalWert->kMerkmalWert)";
			break;

			case "articles_entrance_search":
				return "!empty($NaviFilter->Suche->cSuche) or !empty($NaviFilter->EchteSuche->cSuche)";
			break;

			case "filter_category":
				return "!empty($NaviFilter->KategorieFilter)";
			break;

			case "filter_property":
				return "!empty($NaviFilter->MerkmalFilter)"
			break;

			case "filter_vendor":
				return "!empty($NaviFilter->HerstellerFilter)";
			break;

			case "filter_price":
				return "!empty($NaviFilter->PreisspannenFilter)";
			break;

			case "filter_rating":
				return "!empty($NaviFilter->BewertungFilter)";
			break;

			case "filter_searchspecial":
				return "!empty($NaviFilter->SuchspecialFilter->kKey)";
			break;

			case "order_tracking":
				return "($nSeitenTyp eq 0 and isset($Bestellung)) or ($nSeitenTyp eq 33 and isset($Bestellung) and (isset($abschlussseite) or $smarty.session.Zahlungsart->nWaehrendBestellung neq 1))";
			break;
			
			case "first_view":
				var guid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
					var r = Math.random()*16|0, v = c == 'x' ? r : (r&0x3|0x8);
					return v.toString(16);
				});
				return '"' + guid + '"|is_first_view'; 
			break;

			default:
				return "";
			break;
		}
		return "";
	},
	evaluateToSmarty: function(filter){
		// this could be one ore more categories to match... loop and build a smarty expression
		// we can use.
		if(!filter.specials || filter.specials.length == 0){
			return false;
		}

		var exp = '';
		for(var i=0; i<filter.specials.length; i++){
			exp = exp + '(' + this.generateSpecialCondition(filter.specials[i]) + ')';
			if(i < filter.specials.length-1){
				exp += ' or ';
			}
		}
		exp += '';
		return exp;
	}
}